@echo off
:set LANGUAGE=BULGARIAN
set LANGUAGE=ENGLISH
set MASM32=C:\MASM32
if exist %MASM32%\BIN\ML.EXE goto chkinc
echo Please set the "MASM32" variable in this batch file to the MASM32 location!
goto end
:chkinc
if exist ..\*.INC goto chklib
echo Please extract the METAXPON sources and this archive to the same location!
goto end
:chklib
if exist ..\BOTH\COFF.LIB goto begin
echo Please run MAKELIBS from the parent directory to build the x86 libraries!
goto end
:begin
%MASM32%\BIN\ML -nologo -c -coff -I%MASM32%\INCLUDE -I.. -D%LANGUAGE% METAXPON.ASM
if errorlevel 1 goto end
%MASM32%\BIN\RC -I%MASM32%\INCLUDE -D%LANGUAGE% METAXPON.RC
if errorlevel 1 goto delobj
%MASM32%\BIN\LINK -nologo -subsystem:windows -libpath:%MASM32%\LIB METAXPON METAXPON.RES ..\BOTH\COFF.LIB
del *.RES > nul
:delobj
del *.OBJ > nul
:end
